Subject: Re: GCC 3.4.1 how to use ?
To: Zafer Aydogan <>
From: Jeremy C. Reed <>
List: current-users
Date: 09/10/2004 18:15:47
On Sat, 11 Sep 2004, Zafer Aydogan wrote:

> To use this compiler in pkgsrc:
>    1) In your "pre-configure" target:
>    .include "../../lang/gcc34/"
>    2) .include "../../lang/gcc34/"
> The "" makefile fragment will override the compiler tools
> selected by ../../mk/ to use gcc version 3.4.x.
> ===========================================================================
> I don't get it.
> What should I do to use the new compiler in pkgsrc and at all?

That is strange. Because it doesn't seem pkgsrc-wide, but per package.

The other gcc packages say:

 To use ${PKGNAME} include "${GCC_PREFIX}/mk/" in your
 BSD style makefile.

But this package didn't provide that.

Anyways, try setting these in any of your Makefiles or your make

CC=             /usr/pkg/gcc34/bin/gcc
CPP=            /usr/pkg/gcc34/bin/cpp
CXX=            /usr/pkg/gcc34/bin/c++

 Jeremy C. Reed

 	  	 	 BSD News, BSD tutorials, BSD links